Subject: bug#23766: 25.0.95; crashes on Mac OS X 10.6.8. Snow Leopard

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jun 2016 17:40:06 +0300

> From: Peter Dyballa <[email-masked]>
> Date: Tue, 14 Jun 2016 07:40:15 +0200
> Cc: [email-masked]
> 
> > Sounds like a different problem, and it's hard to say anything without
> > information about the data involved in this crash.
> 
> Both went away when I left out Cairo…

Yes, because ftcrfont.c is only compiled in the Cairo build, and the
problem is evidently related to it.

> > Please compile with debugging and show more data about both problems.
> 
> I was already using 'CFLAGS=-g -H -pipe -fPIC -fno-common -O0' with the (almost) recommended C compiler
> 
> 	i686-apple-darwin10-gcc-apple-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5666) (dot 3) (MacPorts apple-gcc42 5666.3_15)
> 	Copyright (C) 2007 Free Software Foundation, Inc.
> 
> (Almost, because it received some patches after Apple released the latest Xcode for Snow Leopard, Mac OS X 10.6.x.) This compiler offers these switches related to debugging. Which of them should I add? Do you mean just -ggdb?

Yes, -ggdb should help, but I think there's something else here,
because this kind of backtrace:

  #0  0x00000001012547da in FT_Done_Size ()
  No symbol table info available.
  #1  0x00000001002cd613 in ftcrfont_close ()
  No symbol table info available.
  #2  0x00000001002021c5 in cleanup_vector ()
  No symbol table info available.
  #3  0x000000010020230a in sweep_vectors ()
  No symbol table info available.
  #4  0x0000000100209c63 in gc_sweep ()
  No symbol table info available.
  #5  0x00000001002070c0 in garbage_collect_1 ()
  No symbol table info available.
  #6  0x0000000100207718 in Fgarbage_collect ()
  No symbol table info available.
  #7  0x000000010016f192 in maybe_gc ()
  No symbol table info available.

means there are no debugging symbols in the binary.  Perhaps the
binary was stripped at link time, or when you installed it?